import pyCRS
import matplotlib.pyplot as plt

mol = pyCRS.Input.read_smiles("CCCCCCO")

prop_name = 'liquidviscosity'
pyCRS.PropPred.estimate(mol, temperatures=list(range(290,340,5)))
print("Results:", mol.properties_tdep[prop_name])

T=[293.15,298.15,303.15,308.15,313.15,318.15,323.15,328.15]
vis_exp=[5.35,4.55,3.90,3.36,2.91,2.54,2.33,1.97]
vis_exp=[x*1e-3 for x in vis_exp]
#data from https://doi.org/10.1021/je501133u

x,y = mol.get_tdep_values(prop_name)
unit = pyCRS.PropPred.units[prop_name]
plt.plot(x,y,'-',markerfacecolor='none',label='PropPredction')
plt.plot(T,vis_exp,'o',markerfacecolor='none',label='Exp')
plt.ylabel(f"vapor pressure ({unit})")
plt.xlabel("Temperature (K)")
plt.legend()
plt.show()